You will need to install : vlc-codecs (available in Packman) (And added to the multimedia guide)

Ref: [opensuse-factory] NOTE: vlc update missing codecs

see also: https://forums.opensuse.org/english/...lc-update.html